#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	LocalDelivery
Summary:	Email::LocalDelivery - deliver a piece of email - simply
Summary(pl.UTF-8):	Email::LocalDelivery - po prostu dostarczanie poczty
Name:		perl-Email-LocalDelivery
Version:	1.200
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Email/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6218c960f8f426b5c20a64b3fb7a6bf4
URL:		http://search.cpan.org/dist/Email-LocalDelivery/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
# the issue of different interpretation of version numbers between perl
# and rpm comes back again...  Here should be ">= 0.11", but the newest
# perl-Email-Foldertype is 0.5.
BuildRequires:	perl-Email-FolderType
BuildRequires:	perl-Email-Simple >= 1:1.998
BuildRequires:	perl-File-Path-Expand
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the second module produced by the "Perl Email Project", a
reaction against the complexity and increasing bugginess of the
Mail::* modules. It delivers an email to a list of mailboxes.

%description -l pl.UTF-8
To jest drugi moduł wyprodukowany przez "Perl Email Project", będący
reakcją na złożoność i rosnący współczynnik zapluskwienia modułów
Mail::*. Moduł dostarcza pocztę do listy skrzynek.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Email-LocalDelivery.git;a=log;h=master

* Sat Oct 04 2014 Adam Osuchowski <adwol@pld-linux.org> ead1ed0
- up to 1.200

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> bd68a4f
- up to 0.217

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 07e59b5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 45047fd
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> f8fa1a1
- rel 1, generic url

* Thu Aug 10 2006 Maciej Pijanka <agaran@pld-linux.org> 87e2e78
- up to 0.21 rel 0.1 builds here

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> d831a5d
- updated to 0.09

* Thu Dec 09 2004 radek <radek@pld-linux.org> 4d116f4
- added epoch to BR: perl-Email-Simple >= version

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 62c7744
- formatting

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 5426524
- updated to 0.08

* Thu May 06 2004 ankry <ankry@pld-linux.org> b8b4f49
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> eb175b1
- new bconds

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 5968741
- license fixes and unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 183d7e7
- cosmetics

* Sun Nov 23 2003 radek <radek@pld-linux.org> 96aeb2f
- version 0.07

* Mon Sep 15 2003 Adam Gołębiowski <adamg@pld-linux.org> a653bd7
- updated to 0.05

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 8e60736
- spaces -> tab

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> 150a4c2
- fixed changelog trailer

* Thu Jul 31 2003 Jakub Bogusz <qboosh@pld-linux.org> c9e35d2
- pl

* Fri Jul 25 2003 radek <radek@pld-linux.org> f4c843f
- new

